Subject: [PATCH v5 2/3] wl18xx: add basic device-tree support

From: [email-masked] (Arnd Bergmann)
Date: Wed, 11 Mar 2015 11:32:14 +0100

On Wednesday 11 March 2015 11:05:47 Javier Martinez Canillas wrote:
> 
> On Wed, Mar 11, 2015 at 10:51 AM, Arnd Bergmann <[email-masked]> wrote:
> > On Wednesday 11 March 2015 01:34:19 Javier Martinez Canillas wrote:
> >> > +
> >> > +static struct wl12xx_platform_data *
> >> > +wlcore_get_platform_data(struct device *dev)
> >> > +{
> >> > +       struct wl12xx_platform_data *pdata;
> >> > +
> >> > +       /* first, look for DT data */
> >>
> >> I thought it was the opposite, that platform data should over-rule DT.
> >> That way you can still use the data filled in
> >> arch/arm/mach-omap2/pdata-quirks.c even after the driver supports your
> >> new DT binding.
> >
> > No, the pdata-quirks stuff for this driver must die, it was a hack
> > that only exists because we previously could not attach data to an
> > sdio function.
> >
> 
> Ok sorry, I misunderstood and thought that the output from the
> discussion in patch 3/3 was that the pdata could not still be removed
> due not having a way to configure the clocks for wl12xx.

I think that is still the case, but we should never have both pdata
and DT, and if we ever did, I think the DT should take precedence
so we can be sure that the pdata is not used and can be removed.

	Arnd